Package org.apache.sling.cpconverter.maven.mojos

# Class ConvertPMMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.cpconverter.maven.mojos.AbstractBaseMojo
org.apache.sling.cpconverter.maven.mojos.ConvertPMMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="convert-pm", requiresProject=true, threadSafe=true) public final class ConvertPMMojo extends AbstractBaseMojo
Converts the given list of Provisioning Models into Feature Models

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CFG_ARTIFACT_ID`
`static final String`
`CFG_EXCLUDE_BUNDLES`
`static final String`
`CFG_FRAMEWORK_PROPERTIES`
`static final String`
`CFG_GROUP_ID`
`static final String`
`CFG_INPUT_FOLDER`
`static final String`
`CFG_NO_PROVISIIONING_MODEL_NAME`
`static final String`
`CFG_OUTPUT_FOLDER`
`static final String`
`CFG_RUN_MODES`
`static final String`
`CFG_VERSION`
`static final String`
`DEFAULT_OUTPUT_FOLDER`

### Fields inherited from class org.apache.sling.cpconverter.maven.mojos.AbstractBaseMojo

`artifactHandlerManager, installer, mavenSession, project, projectHelper`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`ConvertPMMojo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
`List<String>`
`trimList(List<String> list)`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CFG_INPUT_FOLDER

public static final String CFG_INPUT_FOLDER

See Also:
  - Constant Field Values

### CFG_OUTPUT_FOLDER

public static final String CFG_OUTPUT_FOLDER

See Also:
  - Constant Field Values

### CFG_GROUP_ID

public static final String CFG_GROUP_ID

See Also:
  - Constant Field Values

### CFG_ARTIFACT_ID

public static final String CFG_ARTIFACT_ID

See Also:
  - Constant Field Values

### CFG_VERSION

public static final String CFG_VERSION

See Also:
  - Constant Field Values

### CFG_FRAMEWORK_PROPERTIES

public static final String CFG_FRAMEWORK_PROPERTIES

See Also:
  - Constant Field Values

### CFG_NO_PROVISIIONING_MODEL_NAME

public static final String CFG_NO_PROVISIIONING_MODEL_NAME

See Also:
  - Constant Field Values

### CFG_EXCLUDE_BUNDLES

public static final String CFG_EXCLUDE_BUNDLES

See Also:
  - Constant Field Values

### CFG_RUN_MODES

public static final String CFG_RUN_MODES

See Also:
  - Constant Field Values

### DEFAULT_OUTPUT_FOLDER

public static final String DEFAULT_OUTPUT_FOLDER

See Also:
  - Constant Field Values

## Constructor Details

### ConvertPMMojo

public ConvertPMMojo()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`

### trimList

public List<String> trimList(List<String> list)